[pve-devel] [pve-network] d/postinst: do not break, if ipam-file moves fail
Stoiko Ivanov
s.ivanov at proxmox.com
Wed Nov 20 15:13:34 CET 2024
failing a package-install does not help repairing the situation - so
inform the user about the issue instead of erroring out. The copy
could fail if a node is not quorate, so writes in /etc/pve are a bit
more likely to fail
adapts the change introduced in
d0628df ("debian: migrate legacy mac/ipam cache/state files")
Signed-off-by: Stoiko Ivanov <s.ivanov at proxmox.com>
---
noticed while looking at another small issue, and was reminded about the
recent change for ifupdown2:
https://lore.proxmox.com/pve-devel/20241113190113.678807-1-s.ivanov@proxmox.com/
debian/libpve-network-perl.postinst | 4 ++--
1 file changed, 2 insertions(+), 2 deletions(-)
diff --git a/debian/libpve-network-perl.postinst b/debian/libpve-network-perl.postinst
index c28328d..99faedf 100644
--- a/debian/libpve-network-perl.postinst
+++ b/debian/libpve-network-perl.postinst
@@ -8,7 +8,7 @@ migrate_ipam_db() {
if test -f "$LEGACY_IPAM_DB_FILE" && test ! -f "$IPAM_DB_FILE"; then
echo "copying over existing legacy IPAM state file to new path..."
- cp $LEGACY_IPAM_DB_FILE $IPAM_DB_FILE
+ cp $LEGACY_IPAM_DB_FILE $IPAM_DB_FILE || echo "copying IPAM state file failed!"
fi
}
@@ -18,7 +18,7 @@ migrate_mac_cache() {
if test -f "$LEGACY_MAC_DB_FILE" && test ! -f "$MAC_DB_FILE"; then
echo "copying over existing legacy IPAM MAC-map cache file to new path..."
- cp $LEGACY_MAC_DB_FILE $MAC_DB_FILE
+ cp $LEGACY_MAC_DB_FILE $MAC_DB_FILE || echo "copying IPAM MAC-map cache file failed!"
fi
}
--
2.39.5
More information about the pve-devel
mailing list